Bug 2177995 - A quick movement breaks tile rendering, gets you banned at the server
Summary: A quick movement breaks tile rendering, gets you banned at the server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-maps
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F38FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2023-03-14 07:55 UTC by Kamil Páral
Modified: 2023-03-22 22:28 UTC (History)
6 users (show)

Fixed In Version: gnome-maps-44~rc-2.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-18 00:18:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-maps issues 546 0 None closed Tiles do not redraw properly. 2023-03-14 07:55:38 UTC

Description Kamil Páral 2023-03-14 07:55:39 UTC
See here:
https://gitlab.gnome.org/GNOME/gnome-maps/-/issues/546

Reproducer:
1. See your actual position
2. Zoom out, go to a different part of the world (half a continent away)
3. Zoom in, look around some nearby town
4. Click "Show my position". An animation will play moving from your current view to your actual position.
5. Everything will become white, no tiles are rendered
6. You can zoom out/move and see something, but only those tiles that you have already cached. No new tiles will be rendered, the server has banned you temporarily. You can't zoom in somewhere and see the details.
7. Restarting Maps doesn't help. Your IP is banned temporarily.


Proposing for a blocker discussion.

Comment 1 Lukas Ruzicka 2023-03-14 09:40:45 UTC
We have been seeing it on openQA for some time, today I have also reproduced this behaviour on my bare metal machine.

Comment 2 Adam Williamson 2023-03-15 23:23:06 UTC
Yeah, this may explain why we keep getting failures of this test on openQA...

Comment 3 Adam Williamson 2023-03-15 23:28:22 UTC
+5 in https://pagure.io/fedora-qa/blocker-review/issue/1098 , marking accepted.

I'm backporting the fix for this, https://koji.fedoraproject.org/koji/taskinfo?taskID=98736697 . Update coming soon.

Comment 4 Fedora Update System 2023-03-15 23:38:21 UTC
FEDORA-2023-b3146555f6 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b3146555f6

Comment 5 Kamil Páral 2023-03-16 10:28:50 UTC
(In reply to Fedora Update System from comment #4)
> FEDORA-2023-b3146555f6 has been submitted as an update to Fedora 38.
> https://bodhi.fedoraproject.org/updates/FEDORA-2023-b3146555f6

The go-to animation is gone, no more white tiles. Verified.

Comment 6 Kamil Páral 2023-03-16 11:38:06 UTC
This is not completely solved yet:
https://gitlab.gnome.org/GNOME/gnome-maps/-/issues/546#note_1699245

Not sure if we still want to keep it a blocker, for this second way of how to break rendering.

Comment 7 Fedora Update System 2023-03-17 04:05:09 UTC
FEDORA-2023-b3146555f6 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b3146555f6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Kamil Páral 2023-03-17 13:15:33 UTC
(In reply to Kamil Páral from comment #6)
> This is not completely solved yet:
> https://gitlab.gnome.org/GNOME/gnome-maps/-/issues/546#note_1699245
> 
> Not sure if we still want to keep it a blocker, for this second way of how
> to break rendering.

I'd say this second approach of triggering the bug is not frequent enough to block on it. So I'll set this as VERIFIED. If there's an upstream PR to fix this second problem, I'll file a separate FE request.

Comment 9 Fedora Update System 2023-03-18 00:18:37 UTC
FEDORA-2023-b3146555f6 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Adam Williamson 2023-03-22 22:28:08 UTC
I'm backporting the second PR and adding it to the GNOME 44 megaupdate, so a separate FE should not be required.


Note You need to log in before you can comment on or make changes to this bug.